LookupListener

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openswing.swing.lookup.client
Interface LookupListener

public interface LookupListener

Title: OpenSwing Framework

Description: Lookup Listener.

Copyright: Copyright (C) 2006 Mauro Carniel

This file is part of OpenSwing Framework. This library is free software; you can redistribute it and/or modify it under the terms of the (LGPL) Lesser General Public License as published by the Free Software Foundation; GNU LESSER GENERAL PUBLIC LICENSE Version 2.1, February 1999 This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details. You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. The author may be contacted at: maurocarniel@tin.it

Method Summary
`void` | `beforeLookupAction(ValueObject parentVO)` Method called before code validation and on lookup button click.
`void` | `codeChanged(ValueObject parentVO, java.util.Collection parentChangedAttributes)` Method called when lookup code is changed (also when is set to "" or null)
`void` | `codeValidated(boolean validated)` Method called when lookup code is validated and when code is selected on lookup grid frame.
`void` | `forceValidate()` Validation is forced.

Method Detail

### codeValidated

    public void codeValidated(boolean validated)

  Method called when lookup code is validated and when code is selected on lookup grid frame.

  Parameters:
    `validated` - `true` if lookup code is correclty validated, `false` otherwise

### codeChanged

    public void codeChanged(ValueObject parentVO,
                            java.util.Collection parentChangedAttributes)

  Method called when lookup code is changed (also when is set to "" or null)

  Parameters:
    `parentVO` - lookup container v.o.
    `parentChangedAttributes` - lookup container v.o. attributes

### beforeLookupAction

    public void beforeLookupAction(ValueObject parentVO)

  Method called before code validation and on lookup button click.

### forceValidate

    public void forceValidate()

  Validation is forced.

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD